package thyyxxk.webserver.entity.inpatient.nursemodule.request;

import lombok.Getter;

@Getter
public enum PrintRange {
    /**
     * 全部
     * */
    ALL("", ""),

    /**
     * 新增
     * */
    UNPRINTED("and isnull(print_comment,'') not like '%S%'",
            "and isnull(print_comment,'') not like '%J%'"),

    /**
     * 已打印
     * */
    PRINTED("and print_comment like '%S%'",
            "and print_comment like '%J%'");

    final String infusionLabel;
    final String bottleLabel;

    PrintRange(String infusionLabel, String bottleLabel) {
        this.infusionLabel = infusionLabel;
        this.bottleLabel = bottleLabel;
    }
}
